package com.iamberry.wechat.core.entity.mothMovable;

import  java.util.Date;
import  java.io.Serializable;
/**
 *  活动生成图片的内容类
 * @author xm
 * @Date 2019-04-25
 */
public class MothMovable  implements  Serializable{
    private static final long serialVersionUID = -4585576166130986541L;
    //参与id
    private Integer mothMovaId;
    //参与openid
    private String mothMovaOpenId;
    //头像url
    private String mothMovaHead;
    //文字
    private String mothMovaText;
    //分享url连接   二维码连接
    private String mothMovaShareUrl;
    //背景图
    private Integer mothMovaBackType;
    //生成后图片的地址
    private String mothMovaImgUrl;
    //生成优惠券ID
    private String couponItemId;
    //创建时间'
    private Date mothMovaCreateTime;

    private String mothMovaName;

    public Integer getMothMovaId(){
        return mothMovaId;
    }

    public void setMothMovaId(Integer  mothMovaId){
        this.mothMovaId=mothMovaId;
    }

    public String getMothMovaOpenId() {
        return mothMovaOpenId;
    }

    public void setMothMovaOpenId(String mothMovaOpenId) {
        this.mothMovaOpenId = mothMovaOpenId;
    }

    public String getMothMovaHead(){
        return mothMovaHead;
    }

    public void setMothMovaHead(String  mothMovaHead){
        this.mothMovaHead=mothMovaHead;
    }

    public String getMothMovaText(){
        return mothMovaText;
    }

    public void setMothMovaText(String  mothMovaText){
        this.mothMovaText=mothMovaText;
    }

    public String getMothMovaShareUrl(){
        return mothMovaShareUrl;
    }

    public void setMothMovaShareUrl(String  mothMovaShareUrl){
        this.mothMovaShareUrl=mothMovaShareUrl;
    }

    public Integer getMothMovaBackType() {
        return mothMovaBackType;
    }

    public void setMothMovaBackType(Integer mothMovaBackType) {
        this.mothMovaBackType = mothMovaBackType;
    }

    public String getMothMovaImgUrl(){
        return mothMovaImgUrl;
    }

    public void setMothMovaImgUrl(String  mothMovaImgUrl){
        this.mothMovaImgUrl=mothMovaImgUrl;
    }

    public String getCouponItemId(){
        return couponItemId;
    }

    public void setCouponItemId(String  couponItemId){
        this.couponItemId=couponItemId;
    }

    public Date getMothMovaCreateTime(){
        return mothMovaCreateTime;
    }

    public void setMothMovaCreateTime(Date  mothMovaCreateTime){
        this.mothMovaCreateTime=mothMovaCreateTime;
    }

    public String getMothMovaName() {
        return mothMovaName;
    }

    public void setMothMovaName(String mothMovaName) {
        this.mothMovaName = mothMovaName;
    }
}